> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/report/api-report-focus-enabled.md).

# /api/report/focus‑enabled

## PATCH /api/report/focus-enabled

> Change report focus to enabled or disabled

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/report/focus-enabled"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_report_focus-enabled":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["report_focus_id","report","enabled"]}}},"paths":{"/api/report/focus-enabled":{"patch":{"description":"Change report focus to enabled or disabled","tags":["/api/report/focus-enabled"],"parameters":[{"name":"report_focus_id","in":"query","schema":{"type":"integer"},"required":true},{"name":"report","in":"query","schema":{"type":"string"},"required":true},{"name":"enabled","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_report_focus-enabled"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_report_focus-enabled"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_report_focus-enabled"}}}}}}}}}
```
